<?xml version="1.0" encoding="utf-8"?>
<Document>
  <Engineering version="V20" />
  <SW.Blocks.InstanceDB ID="0">
    <AttributeList>
      <InstanceOfName>FB_Längenmessung</InstanceOfName>
      <InstanceOfType>FB</InstanceOfType>
      <Interface><Sections xmlns="http://www.siemens.com/automation/Openness/SW/Interface/v5">
  <Section Name="Input">
    <Member Name="xInStartMessung" Datatype="Bool" />
    <Member Name="xInEndeMessung" Datatype="Bool" />
    <Member Name="xInTeilVorhanden" Datatype="Bool" />
    <Member Name="xInTeilLang" Datatype="Bool" />
    <Member Name="xInTeilzuLang" Datatype="Bool" />
    <Member Name="tInWaitingTime" Datatype="Time" />
    <Member Name="tInWaitForEnd" Datatype="Time" />
  </Section>
  <Section Name="Output">
    <Member Name="xOutTeilLang" Datatype="Bool" />
    <Member Name="xOutErrorzuLang" Datatype="Bool" />
    <Member Name="xOutErrorHängt" Datatype="Bool" />
    <Member Name="xOutLeer" Datatype="Bool" />
    <Member Name="xOutEndMessung" Datatype="Bool" />
    <Member Name="sOutLänge" Datatype="String" />
    <Member Name="xOutFinished" Datatype="Bool" />
    <Member Name="xOutTeilKurz" Datatype="Bool" />
  </Section>
  <Section Name="InOut" />
  <Section Name="Static">
    <Member Name="xFlagTeilVorhanden" Datatype="Bool" />
    <Member Name="xFlagTeilLang" Datatype="Bool" />
    <Member Name="xFlagTeilzuLang" Datatype="Bool" />
    <Member Name="xFlagStartMessung" Datatype="Bool" />
    <Member Name="XFlagEndMessung" Datatype="Bool" />
    <Member Name="xLastSensorLang" Datatype="Bool" />
    <Member Name="xLastSensorVorhanden" Datatype="Bool" />
    <Member Name="xLastSensorzuLang" Datatype="Bool" />
    <Member Name="xLastSensorEndMessung" Datatype="Bool" />
    <Member Name="xTeilLang" Datatype="Bool" />
    <Member Name="xTeilZuLang" Datatype="Bool" />
    <Member Name="xTeilVorhanden" Datatype="Bool" />
    <Member Name="xEndMessung" Datatype="Bool" />
    <Member Name="nState" Datatype="Int" />
    <Member Name="tOnTimeOut" Datatype="TON_TIME" Version="1.0" />
    <Member Name="tOnWaitForEnd" Datatype="TON_TIME" Version="1.0">
      <AttributeList>
        <BooleanAttribute Name="SetPoint" SystemDefined="true">true</BooleanAttribute>
      </AttributeList>
    </Member>
    <Member Name="xOnWaiting" Datatype="Bool">
      <AttributeList>
        <BooleanAttribute Name="SetPoint" SystemDefined="true">true</BooleanAttribute>
      </AttributeList>
    </Member>
  </Section>
</Sections></Interface>
      <Name>FB_Längenmessung_DB</Name>
      <Namespace />
      <Number>45</Number>
      <ProgrammingLanguage>DB</ProgrammingLanguage>
    </AttributeList>
    <ObjectList>
      <MultilingualText ID="1" CompositionName="Comment">
        <ObjectList>
          <MultilingualTextItem ID="2" CompositionName="Items">
            <AttributeList>
              <Culture>cs-CZ</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
          <MultilingualTextItem ID="3" CompositionName="Items">
            <AttributeList>
              <Culture>de-DE</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
          <MultilingualTextItem ID="4" CompositionName="Items">
            <AttributeList>
              <Culture>en-US</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
        </ObjectList>
      </MultilingualText>
      <MultilingualText ID="5" CompositionName="Title">
        <ObjectList>
          <MultilingualTextItem ID="6" CompositionName="Items">
            <AttributeList>
              <Culture>cs-CZ</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
          <MultilingualTextItem ID="7" CompositionName="Items">
            <AttributeList>
              <Culture>de-DE</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
          <MultilingualTextItem ID="8" CompositionName="Items">
            <AttributeList>
              <Culture>en-US</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
        </ObjectList>
      </MultilingualText>
    </ObjectList>
  </SW.Blocks.InstanceDB>
</Document>